WORDGRINDER(1)

NAME
wordgrinder - console-based word processor

SYNOPSIS

wordgrinder [options] [filename]

DESCRIPTION

wordgrinder is a simple character cell word processor that runs on the console. It is primarily designed for text entry. It's designed to get the hell out of your way and let you write; it does very little, but what it does it does well.

It supports Unicode, basic paragraph styles, basic character styles, basic screen markup, a menu interface that means you don't have to remember complex key sequences, HTML import and export, and some other useful features.

When running, pressing ESC (or ALT + menu shortcut key) will open the menu.

OPTIONS

These options follow the usual GNU command line syntax, with long options starting with two dashes (`-').

-h, --help
    Show summary of options.

--lua filename
    Loads and executes a Lua file instead of starting normally.

--convert srcfile destfile
    Converts from srcfile to destfile and then exits.

    The type of the file is autodetected from the extension of the filename. The source file may have a document name suffixed with a : for use when importing or exporting WordGrinder files.

--config file.lua
    Sets the name of the user config file.

CONFIGURATION

The user config file is a Lua file which is loaded and executed before the program starts up. It defaults to:

~/.wordgrinder/startup.lua

AUTHOR
wordgrinder was written by David Given.
http://cowlark.com/wordgrinder